Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::actions::drop_fn Struct Reference

## Synopsis of methods
constexpr drop_fn | drop {}

## Public Member Functions
template<typename Int >
constexpr auto | operator() (Int n) const
template<typename Rng >
Rng | operator() (Rng &&rng, range_difference_t< Rng > n) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Int >

constexpr auto ranges::actions::drop_fn::operator() | ( | Int | n | ) | const
| constexpr

Precondition
  requires `detail::integer_like_<Int>`

## ◆ operator()() [2/2]

template<typename Rng >

Rng ranges::actions::drop_fn::operator() | ( | Rng && | rng,
|  | range_difference_t< Rng > | n
| ) |  | const

Precondition
  requires `forward_range<Rng> && erasable_range<Rng &, iterator_t<Rng>, iterator_t<Rng>>`